Package com.io7m.coffeepick.runtime.format.xml

# Class FormatXMLSPISerializerProvider

java.lang.Object
com.io7m.coffeepick.runtime.format.xml.FormatXMLSPISerializerProvider

All Implemented Interfaces:
  `SPISerializerProviderType`

    public final class FormatXMLSPISerializerProvider
    extends java.lang.Object
    implements SPISerializerProviderType

An XML format provider.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FormatXMLSPISerializerProvider()` | Construct a provider.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `SPISerializerType` | `serializerCreate​(java.io.OutputStream output)` |
  `FormatDescription` | `serializerFormatSupported()` |
  `java.util.SortedSet<FormatVersion>` | `serializerFormatVersionsSupported()` |
  `java.lang.String` | `serializerName()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FormatXMLSPISerializerProvider

    public FormatXMLSPISerializerProvider()
    Construct a provider.

- ## Method Details

  - ### serializerFormatSupported

    public FormatDescription serializerFormatSupported()
    Specified by:
      `serializerFormatSupported` in interface `SPISerializerProviderType`
    Returns:
      The format that this provider supports

  - ### serializerFormatVersionsSupported

    public java.util.SortedSet<FormatVersion> serializerFormatVersionsSupported()
    Specified by:
      `serializerFormatVersionsSupported` in interface `SPISerializerProviderType`
    Returns:
      The supported versions of the format

  - ### serializerName

    public java.lang.String serializerName()
    Specified by:
      `serializerName` in interface `SPISerializerProviderType`
    Returns:
      The name of this provider

  - ### serializerCreate

    public SPISerializerType serializerCreate​(java.io.OutputStream output)
    Specified by:
      `serializerCreate` in interface `SPISerializerProviderType`
    Parameters:
      `output` - The output stream
    Returns:
      A new serializer for the format